#
# spec file for package mod_dav (Version 1.0.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool mm mod_ssl perl rpm

Name:         mod_dav
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_serverroot %(apxs -q PREFIX)
%define apache_mmn        %(MMN=$(apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
Version:      1.0.3
Release:      384
License:      Other License(s), see package
Group:        Productivity/Networking/Web/Servers
Provides:     dav libdav
Requires:     apache %{apache_mmn}
Autoreqprov:  on
PreReq:       %fillup_prereq
Summary:      Web-based Distributed Authoring and Versioning
URL:          http://www.webdav.org/mod_dav/
Icon:         mod_dav.xpm
Source0:      mod_dav-%{version}-1.3.6.tar.bz2
Patch1:       mod_dav-1.0.2-1.3.6-sec.diff
Patch2:       mod_dav-1.0.3-1.3.6-CAN-2004-0809-crash.dif

%description
mod_dav is an Apache module to provide DAV capabilities for your Apache
web server. It is an Open Source module, provided under an Apache-style
license.

mod_dav currently implements a Class 1 and Class 2 DAV server. This
means that it provides all the basic DAV facilities for manipulating
resources (files) on the target web server, along with manipulating
properties on those resources. In addition, it handles the (un)locking
of resources so that clients can have exclusive access to modify
resources.



Authors:
--------
    Greg Stein <gstein@lyra.org>

%prep
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_includedir %(apxs -q INCLUDEDIR)
%setup -n mod_dav-%{version}-1.3.6
%patch1 -p1
%patch2 -p1
autoconf;
CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing" \
./configure --with-apxs=%{_sbindir}/apxs %{_target_cpu}-suse-linux-gnu

%build
make

%install
make install ;
install -m 644 mod_dav.h %{apache_includedir}
TEMPL=sysconfig.apache-%{name}
cat > $TEMPL <<-EOF
	## Type:        yesno
	## Default:     "no"
	## Config:      apache
       	## ServiceRestart: apache
	#
	# enable the WebDAV module
	#
	HTTPD_SEC_MOD_DAV="no"
	
EOF
echo -e "Variable:HTTPD_SEC_MOD_DAV\nText:WebDAV\nLoadModule: LoadModule dav_module %{apache_libexecdir}/libdav.so\nAddModule: AddModule mod_dav.c\n" \
        > %{apache_sysconfdir}/modules/%{name}
install -m 644 $TEMPL %{_var}/adm/fillup-templates/
echo -e "LoadModule dav_module %{apache_libexecdir}/libdav.so\n" > %{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule mod_dav.c\n" > %{apache_sysconfdir}/suse_addmodule.conf
%{_sbindir}/httpd -t         || exit 1
%{_sbindir}/httpd -t -D DAV  || exit 1
cat %{apache_sysconfdir}/httpd.conf | sed -e "s+DAV Off+DAV On+" > ./httpd.conf.DAV
%{_sbindir}/httpd -t -D DAV -f `pwd`/httpd.conf.DAV

%post
%{fillup_only -an apache}

%files
%defattr(-,root,root)
%doc README INSTAL* CHANGES LICE*
%{apache_libexecdir}/libdav.so
%{apache_includedir}/mod_dav.h
%{apache_sysconfdir}/modules/%{name}
%{_var}/adm/fillup-templates/sysconfig.apache-%{name}

%changelog -n mod_dav
* Tue Sep 14 2004 - poeml@suse.de
- security fix [CAN-2004-0809 (cve.mitre.org)]: fix possible DoS in
  mod_dav by remotely triggerable null-pointer dereference
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=31183 [#45231]
* Thu Aug 14 2003 - poeml@suse.de
- add Wall
- add -fno-strict-aliasing, due to warnings about code where
  dereferencing type-punned pointers will break strict aliasing
- add activation metadata to sysconfig template [#28825]
* Sun Jul 27 2003 - poeml@suse.de
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
* Tue May 13 2003 - poeml@suse.de
- use %%defattr
* Thu Jan 23 2003 - poeml@suse.de
- add sysconfig metadata (closes #22602)
* Wed Oct 02 2002 - poeml@suse.de
- security fix for format string bug
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 02 2002 - poeml@suse.de
- update to 1.0.3
* Thu Aug 01 2002 - poeml@suse.de
- drop zero patch
* Thu Aug 01 2002 - poeml@suse.de
- use PreReq
* Thu Jul 25 2002 - poeml@suse.de
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
- remove hard RPM dependancy on Apache's %%{release} tag
* Thu Jan 17 2002 - ro@suse.de
- adapted for /etc/sysconfig/apache
* Thu Oct 25 2001 - ro@suse.de
- try neededforbuild alias apache-devel-packages
* Wed Apr 04 2001 - rolf@suse.de
- fixed detection of Apache version via RPM
* Tue Mar 27 2001 - rolf@suse.de
- modifications to meet new apache module configuration
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Oct 25 2000 - rolf@suse.de
- bugfix release 1.0.2 which comes with included IPv6 patches
* Tue Oct 10 2000 - rolf@suse.de
- update to 1.0.1
- make mod_dav IPv6 compatible, just one line of patch
* Tue Jun 20 2000 - rolf@suse.de
- update to 1.0.0
* Mon May 22 2000 - rolf@suse.de
- update to 0.9.17
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Thu Dec 23 1999 - rolf@suse.de
- new version 0.9.14
* Sat Nov 27 1999 - rolf@suse.de
- extracted mod:dav from apache SRPM
- new version 0.9.13
